Skip to main content
POST
/
v1
/
environments
/
{environmentId}
/
variables
Create Environment Variable
curl --request POST \
  --url https://api.tryreplicas.com/v1/environments/{environmentId}/variables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "value": "<string>"
}
'
{
  "environment_variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "value": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.replicas.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

environmentId
string
required

Environment UUID, or the literal string global for the org's Global environment.

Body

application/json

Request body for creating an environment variable.

key
string
required

Variable name

value
string
required

Variable value (encrypted at rest)

Response

Variable created

environment_variable
object
required

An environment variable. Values are encrypted at rest and decrypted on read.